net.sf.jasperreports.data.jndi

## Class JndiDataAdapterService

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapterService
  - - net.sf.jasperreports.data.jndi.JndiDataAdapterService

- All Implemented Interfaces:
    DataAdapterService, ParameterContributor

      public class JndiDataAdapterService
      extends AbstractDataAdapterService

  Version:
    $Id: JndiDataAdapterService.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `SECRETS_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JndiDataAdapterService(JasperReportsContext jasperReportsContext, JndiDataAdapter jndiDataAdapter)`
    `JndiDataAdapterService(JndiDataAdapter jndiDataAdapter)` Deprecated. Replaced by `JndiDataAdapterService(JasperReportsContext, JndiDataAdapter)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `void` | `dispose()`
    `JndiDataAdapter` | `getJndiDataAdapter()`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `getDataAdapter, getJasperReportsContext, getName, setDataAdapter, setName, test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JndiDataAdapterService

          public JndiDataAdapterService(JasperReportsContext jasperReportsContext,
                                JndiDataAdapter jndiDataAdapter)

    - #### JndiDataAdapterService

          public JndiDataAdapterService(JndiDataAdapter jndiDataAdapter)

      Deprecated. Replaced by `JndiDataAdapterService(JasperReportsContext, JndiDataAdapter)`.

  - ### Method Detail

    - #### getJndiDataAdapter

          public JndiDataAdapter getJndiDataAdapter()

    - #### contributeParameters

          public void contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)
                                    throws JRException

      Specified by:
        `contributeParameters` in interface `ParameterContributor`
      Specified by:
        `contributeParameters` in class `AbstractDataAdapterService`
      Throws:
        `JRException`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `ParameterContributor`
      Overrides:
        `dispose` in class `AbstractDataAdapterService`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com